/* 
   =========================================================
    fixFontLogo.css

    Correcciones visuales al usar la fuente del logo (Baloo Bhaina 2) en toda la UI
    Este css define unicamente correcciones necesarias si estamos usando el font del logo (Baloo Bhaina 2) en botones/links (y en el pill del header). 

    Quitar este archivo del layout si se vuelve a una fuente estándar
   ========================================================= 
*/



/* =========================================================
   Botones
   ========================================================= */

.btn {
    line-height: 1.1;
    padding-top: 0.78rem;
}

/* Large */
.btn-lg {
    line-height: 1.3;
    padding-top: 0.75rem;
}

/* Small */
.btn-sm {
    line-height: 1.3;
    padding-top: 0.42rem;
    /*padding-bottom: 0.2rem;*/
}

/* Extra small custom */
.btn-xs,
.btn-extrasmall {
    line-height: 1;
    padding-top: 0.35rem;
}

/* Iconos dentro de botones/links con clase btn */
.btn i,
.btn .fa,
.btn .fa-solid,
.btn .fa-regular,
.btn .fa-brands {
    line-height: 1;
    vertical-align: middle;
    position: relative;
    top: -1px;
}

/* Si el botón tiene icono + texto, separarlo y corregir un poco el texto */
.btn i + span,
.btn .fa + span,
.btn .fa-solid + span,
.btn .fa-regular + span,
.btn .fa-brands + span {
    display: inline-block;
    position: relative;
    top: 1px;
    margin-left: 0.35rem;
    line-height: 1;
}



/* ajustes finos de la altura del icono en botones con icono */
/* ========================================================= */

/* Small */
.btn-sm i,
.btn-sm .fa,
.btn-sm .fa-solid,
.btn-sm .fa-regular,
.btn-sm .fa-brands {
    top: -1.2px;
}

/* Extra small */
.btn-xs i,
.btn-xs .fa,
.btn-xs .fa-solid,
.btn-xs .fa-regular,
.btn-xs .fa-brands,
.btn-extrasmall i,
.btn-extrasmall .fa,
.btn-extrasmall .fa-solid,
.btn-extrasmall .fa-regular,
.btn-extrasmall .fa-brands {
    top: 0;
}

/* Large */
.btn-lg i,
.btn-lg .fa,
.btn-lg .fa-solid,
.btn-lg .fa-regular,
.btn-lg .fa-brands {
    top: 0px;
}








    /* =========================================================
   Pill de usuario del header: solo corrección tipográfica
   ========================================================= */

    .app-user-pill {
    align-items: center;
}

.app-user-pill-icon {
    line-height: 1;
    flex: 0 0 auto;
    position: relative;
    top: -1px;
}

.app-user-pill > span {
    display: inline-block;
    position: relative;
    top: 1px;
    line-height: 1;
}








/* =========================================================
   Badges
   ========================================================= */
.badge {
    padding-top: 0.55em;
    padding-bottom: 0.15em;
}




/* =========================================================
   Botones paginacion en listados
   ========================================================= */
.page-link {
    padding-bottom: 0.1rem;
}